import java.awt.*;
import java.awt.event.*;

// CEChE
class MainWindow extends Frame
{
	public MainWindow(String image_name,int rate)
	{
		super("Mosaic Filter");

		// EChEXi̒ǉ
		WindowListener listener = new WindowAdapter()
		{
			public void windowClosing(WindowEvent e)
			{
				System.exit(0);
			}
		};
		addWindowListener(listener);

		// C[W̎擾
		Toolkit toolkit = getToolkit();
		Image image = toolkit.getImage(image_name);

		// C[W̓ǂݍݑ҂
		MediaTracker tracker = new MediaTracker(this);
		tracker.addImage(image,1);

		try
		{
			tracker.waitForID(1);
		}
		catch(InterruptedException e)
		{
			System.err.println(e.toString());
		}

		// LoX̐
		ImageCanvas canvas = new ImageCanvas(image,rate);
		canvas.setSize(image.getWidth(canvas),image.getHeight(canvas));
		add(canvas,BorderLayout.CENTER);

		// EChE̕\
		pack();
		setVisible(true);
	}
}